package com.player.musicoo.innertube.models

import kotlinx.serialization.Serializable

@Serializable
data class MusicCardShelfRenderer(
    val thumbnail: MusicThumbnailRenderer?,
    val title: Runs?,
    val subtitle: Runs?,
    val header: Header?,
) {
    @Serializable
    data class MusicThumbnailRenderer(
        val musicThumbnailRenderer: MusicThumbnailRenderer?
    ) {
        @Serializable
        data class MusicThumbnailRenderer(
            val thumbnail: Thumbnail?
        ) {
            @Serializable
            data class Thumbnail(
                val thumbnails: List<com.player.musicoo.innertube.models.Thumbnail>?
            )
        }
    }

    @Serializable
    data class Header(
        val musicCardShelfHeaderBasicRenderer: MusicCardShelfHeaderBasicRenderer?
    ) {
        @Serializable
        data class MusicCardShelfHeaderBasicRenderer(
            val title: Runs?,
        )
    }
}
